﻿// guids.h: definitions of GUIDs/IIDs/CLSIDs used in this VsPackage

/*
Do not use #pragma once, as this file needs to be included twice.  Once to declare the externs
for the GUIDs, and again right after including initguid.h to actually define the GUIDs.
*/



// package guid
// { 6f33d641-e44b-4a25-9d7f-66ef10bdc76d }
#define guidDebugCompanionVsipPkg { 0x6F33D641, 0xE44B, 0x4A25, { 0x9D, 0x7F, 0x66, 0xEF, 0x10, 0xBD, 0xC7, 0x6D } }
#ifdef DEFINE_GUID
DEFINE_GUID(CLSID_DebugCompanionVsip,
0x6F33D641, 0xE44B, 0x4A25, 0x9D, 0x7F, 0x66, 0xEF, 0x10, 0xBD, 0xC7, 0x6D );
#endif

// Command set guid for our commands (used with IOleCommandTarget)
// { b235bd38-7749-49a2-8130-71852a3f91a0 }
#define guidDebugCompanionVsipCmdSet { 0xB235BD38, 0x7749, 0x49A2, { 0x81, 0x30, 0x71, 0x85, 0x2A, 0x3F, 0x91, 0xA0 } }
#ifdef DEFINE_GUID
DEFINE_GUID(CLSID_DebugCompanionVsipCmdSet, 
0xB235BD38, 0x7749, 0x49A2, 0x81, 0x30, 0x71, 0x85, 0x2A, 0x3F, 0x91, 0xA0 );
#endif


// Command set guid for our commands (used with IOleCommandTarget)
// { C9DD4A58-47FB-11D2-83E7-00C04F9902C1 }
#define guidDebugMenu { 0xC9DD4A58, 0x47FB, 0x11D2, { 0x83, 0xE7, 0x00, 0xC0, 0x4F, 0x99, 0x02, 0xC1} }
#ifdef DEFINE_GUID
DEFINE_GUID(CLSID_DebugMenu, 
0xC9DD4A58, 0x47FB, 0x11D2, 0x83, 0xE7, 0x00, 0xC0, 0x4F, 0x99, 0x02, 0xC1 );
#endif

